Subject: Re: DCB Auto turn off when link become up with Intel 82599ES ixgbe driver

From: John Fastabend <[email-masked]>
Date: Tue, 5 Jul 2016 16:39:42 -0700

On 16-07-05 08:38 AM, Alexander Duyck wrote:
> On Tue, Jul 5, 2016 at 8:17 AM, ayuj <[email-masked]> wrote:
>> I'm trying to configure DCB in back-to-back scenario.
>> System details
>>
>> OS :- CentOS 7.2
>> kernel 3.10.0-327.el7.x86_64
>> lldpad:- lldpad v0.9.46
>> dcbtool:- v0.9.46
>> ixgbe :- ixgbe-4.3.15
>>
>> steps followed:-
>>
>> # modporbe ixgbe
>> # service lldpad start
>>     Redirecting to /bin/systemctl start  lldpad.service
>>
>>
>> # service lldpad status
>> Redirecting to /bin/systemctl status  lldpad.service
>> ● lldpad.service - Link Layer Discovery Protocol Agent Daemon.
>>    Loaded: loaded (/usr/lib/systemd/system/lldpad.service; disabled; vendor
>> preset: disabled)
>>    Active: active (running) since Tue 2016-07-05 05:49:12 EDT; 1s ago
>>  Main PID: 133737 (lldpad)
>>    CGroup: /system.slice/lldpad.service
>>            └─133737 /usr/sbin/lldpad -t
>>
>> Jul 05 05:49:12 localhost.localdomain systemd[1]: Started Link Layer
>> Discovery Protocol Agent Daemon..
>> Jul 05 05:49:12 localhost.localdomain systemd[1]: Starting Link Layer
>> Discovery Protocol Agent Daemon....
>>
>>
>> # dcbtool gc p3p2 dcb
>> Command:        Get Config
>> Feature:        DCB State
>> Port:           p3p2
>> Status:         Successful
>> DCB State:      off
>>
>> # dcbtool sc p3p2 dcb on
>> Command:        Set Config
>> Feature:        DCB State
>> Port:           p3p2
>> Status:         Successful
>>
>> # dcbtool gc p3p2 dcb
>> Command:        Get Config
>> Feature:        DCB State
>> Port:           p3p2
>> Status:         Successful
>> DCB State:      on
>>
>>
>> Similar configuration on another system.
>>
>> But as soon as I do "ifconfig p3p2 up and check dcb
>>
>> # dcbtool gc p3p2 dcb
>> Command:        Get Config
>> Feature:        DCB State
>> Port:           p3p2
>> Status:         Successful
>> DCB State:      off
>>
>> Initially suspecting issue with lldpad daemon/ixgbe driver. I replaced them
>> (downloaded from repo) with latest packages.
>> Same behaviour observed.
>>
>> - Tried disabling other dcb features like fcoe. Same issue.
>> - Disabled selinux etc
>>
>>
>> Can any 1 help me regarding this.
> 
> I'm adding e1000-devel as that is the mailing list for the ixgbe maintainers.
> 
> You might want to go through and also check the number of TCs and how
> you have them mapped to your priority groups.  It is possible that one
> end or the other may only have 1 TC configured and if I am not
> mistaken that is interpreted as having DCB disabled by the hardware.
> 
> Hope that helps.
> 
> - Alex
> 

hmm those are older version of the tool but that shouldn't necessarily
be an issue.

The output from the following would help, (note if the peer is not
configured correctly as well DCB will be disabled)

#dcbtool go p3p2 pg
#dcbtool go p3p2 pfc

#lldptool -t -i p3p2
#lldptool -t -i p3p2 -n

The first two dcbtool commands give the dcb status and the last two
lldptool commands print the sent/received lldp TLVs.

.John

------------------------------------------------------------------------------
Attend Shape: An AT&T Tech Expo July 15-16. Meet us at AT&T Park in San
Francisco, CA to explore cutting-edge tech and listen to tech luminaries
present their vision of the future. This family event has something for
everyone, including kids. Get more information and register today.
http://sdm.link/attshape
_______________________________________________
E1000-devel mailing list
[email-masked]
https://lists.sourceforge.net/lists/listinfo/e1000-devel
To learn more about Intel&#174; Ethernet, visit http://communities.intel.com/community/wired